
QGIS Application - Bug report #633

Scale on toolbar has insufficient range

2007-03-02 02:23 PM - Gavin Macaulay -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10692

Description

As of r6747 the 1:xxx scale on the qgis toolbar is now limited to the range of a long variable. This is insufficient for many situations. e.g.,

load an image, and set the scale to 1:10, then 1:100, 1:1000, etc,. Eventually the displayed scale will change to -2147483648.

In a similar manner, setting scales of less than 1:1 is not possible. If I try to set the scale to 1:0.5, qgis displays it as 1:-2.

I also recall in earlier versions of qgis that if the scale went to something like 1:0.001, it would be displayed at 1000:1. It would be nice for

this to be re-introduced.

History

#1 - 2007-03-03 12:01 AM - Magnus Homann

Tmi said that scale less than 1:1 wasn't supported by Qgis?

#2 - 2007-03-03 09:19 AM - Gavin Macaulay -

Replying to [comment:2 homann]:

One never knows what the user wants to do. Arbitrary limits on the scale are a bad idea.

#3 - 2007-03-03 09:28 AM - Gavin Macaulay -

Qgis has supported scales of less than 1:1 for about 18 months.

I propose that commit:559a28a6 (SVN r6748) either be reverted or fixed so that it doesn't remove existing functionality.

#4 - 2007-03-03 10:04 AM - Magnus Homann

Just removing it because the UI is not 100% is plain silly. There was two enhacenment request for this feature, and I implemented a first version. I did not

expect to get flak for that.

We have about 17 developers, how many of them need to agree on what the UI should look like before we can implement?

Gavin, why don't you tell us what it should look like instead?
#5 - 2007-03-03 03:20 PM - anonymous -

Hi Guys

Let me apologise as I am probably the cause of this confusion - I told Magnus on IRC that I thought we had decided at one point to support a minimum

scale of 1:1. I didnt check my facts by googling IRC etc since I am pretty busy at the moment. IMHO Magnus is adding something nice to QGIS so lets just

discuss what the preferred behaviour is.

#6 - 2007-03-06 12:59 AM - Gavin Macaulay -

- Status changed from Open to Closed

- Resolution set to fixed

Range expanded to that of a double in .

#7 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted

Files
